Package org.apache.felix.framework.security.util

## Class LocalPermissions

- java.lang.Object
- - org.apache.felix.framework.security.util.LocalPermissions

    public final class LocalPermissions
    extends java.lang.Object

A cache for local permissions. Local permissions are read from a given bundle and cached for later lookup. See core spec 9.2.1.

### Constructor Summary

Constructors
`LocalPermissions​(Permissions permissions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `implies​(org.apache.felix.framework.cache.Content content, org.osgi.framework.Bundle bundle, java.security.Permission permission)` Return true in case that the given permission is implied by the local permissions of the given bundle or if there are none otherwise, false.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalPermissions

    public LocalPermissions​(Permissions permissions)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### implies

    public boolean implies​(org.apache.felix.framework.cache.Content content,
                           org.osgi.framework.Bundle bundle,
                           java.security.Permission permission)

Return true in case that the given permission is implied by the local permissions of the given bundle or if there are none otherwise, false. See core spec 9.2.1.

Parameters:
  `root` - the root to use for cacheing as a key
  `loader` - the loader to get the content of the bundle from
  `bundle` - the bundle in quesiton
  `permission` - the permission to check
Returns:
  true if implied by local permissions.